package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleBookRecord;
import com.xxfc.platform.vehicle.pojo.*;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface VehicleBookRecordMapper extends Mapper<VehicleBookRecord> {

    Integer changeRecordStatus(Map<String, Object> params);

    public List<VehicleBookRecord> getByPage4Month(Map<String, Object> params);

    public Integer insertHis(VehicleBookRecordAndTbNameVo vehicleBookRecordAndTbNameVo);

    public Integer del4YearMoth(Map<String, Object> params);

    public List<Long> getIdInYearMothLimit(Map<String, Object> params);

    public void createTbIfNotExists(String tbName);

    public List<QueryVehicleBookRecordVo> getByPage(Map<String, Object> params);

    public Integer liftOrRet(Map<String, Object> params);


    public VehicleBookRecord getById(Map<String, Object> params);

    public List<VehicleRecordInfoVo> getByParam(Map<String, Object> params);

    public List<VehicleBookRecordVo> selectByVehicleId(String vehicleId);

    public List<VehicleBookRecordVo> getBookRecord(VehicleBookRecordQueryVo vehicleBookRecordQueryVo);

    public List<VehicleBookRecordVo> getBookRecordInfo(Map<String, Object> param);

    public List<VehicleBookRecordVo> selectByVehicleIdAndTime(Map<String, Object> param);

    public List<VehicleBookRecordVo> selectZeroHourRecord(Map<String, Object> param);

}